# -*- coding: utf-8 -*-
from django.conf.urls import patterns, url, include
from .views import (
    BrandListView, CarModelListView, CarListView, BrandModelListView,
    ModelPhotoDetailView, CarCountView, ResultView, CarConfigView
)

urlpatterns = patterns(
    '',
    url(
        r'^get_brands_models/(?P<year>\d{4})-(?P<month>\d{2})-(?P<day>\d{2})/$',
        BrandModelListView.as_view(), name='brand_model_list'
    ),
    url(r'^model_photo_detail/(?P<pk>[0-9]+)/$', ModelPhotoDetailView.as_view(), name='model_photo_detail'),
    url(r'^(slow_)?brands$', BrandListView.as_view(), name='brand_list'),
    url(r'^(slow_)?models$', CarModelListView.as_view(), name='car_model_list'),
    url(r'^cars$', CarListView.as_view(), name='car_list'),
    url(r'^config/cars$', CarConfigView.as_view(), name='car_list'),
    url(r'^car-count$', CarCountView.as_view(), name='car_count'),
    url(r'^results', ResultView.as_view(), name='results'),
)
